Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Public Member Functions | Static Public Attributes | List of all members
ICloneable Class Referenceabstract

Interface allowing an object to be copied. More...

`#include <icloneable.h>`

Inheritance diagram for ICloneable:

## Public Member Functions
virtual FUnknown * | clone ()=0
| Create exact copy of the object.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface.
virtual uint32 | addRef ()=0
| Adds a reference and returns the new reference count.
virtual uint32 | release ()=0
| Releases a reference and returns the new reference count.

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Interface allowing an object to be copied.

- [plug & host imp]
- [released: N4.12]

## Member Function Documentation

virtual FUnknown* clone | ( |  | ) |
| pure virtual

Create exact copy of the object.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.